<html>
    <head>
        <link rel="stylesheet" href="button.css">

        <style>
            body {
                box-sizing: border-box;

                padding: 2rem;
                margin: 0;

                width: 100%;
                height: 100%;

                display: flex;
                flex-flow: column;

                align-items: center;
                justify-content: center;

                background: grey;

                gap: 1rem;
            }
        </style>
    </head>
    <body>
        <a class="nice-button" style="--button-color: magenta"><span>Test</span></a>
        <a class="nice-button" style="--button-color: lightgreen"><span>Test</span></a>
        <a class="nice-button" style="--button-color: cyan"><span>Test</span></a>

        <a class="arrow-button" style="--button-color: lightgreen">Arrow</a>

        <button class="neon-button" style="--button-color: lightgreen">Neon Green</button>
        <button class="neon-button" style="--button-color: #ff5d5d">Neon Red</button>
    </body>
</html>